{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003-2006 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
unit about;

interface

uses
  Windows, SysUtils, Controls, Forms,
  StdCtrls, Buttons, ShellApi, ExtCtrls, Menus, Classes;

type
  Topm_Form_About = class(TForm)
    opm_BitBtn_AboutOk: TBitBtn;
    opm_Label_AboutHomepage: TLabel;
    opm_Label_AboutEmail: TLabel;
    opm_Label_AboutHomepageOSC: TLabel;
    opm_BitBtn_AboutSplash: TBitBtn;
    opm_PopupMenu_About: TPopupMenu;
    opm_PopMenuItem_AboutCopyEmail: TMenuItem;
    opm_PopMenuItem_AboutCopyURL: TMenuItem;
    opm_PopMenuItem_AboutClose: TMenuItem;
    opm_PopMenuItem_AboutSplash: TMenuItem;
    N1: TMenuItem;
    Bevel3: TBevel;
    opm_Label_AboutUserAgent: TLabel;
    opm_Edit_AboutAuthor: TEdit;
    opm_Edit_AboutTitle2: TEdit;
    opm_Edit_AboutTitle: TEdit;
    opm_Edit_AboutTobeUsed: TEdit;
    opm_Edit_AboutTitleOSC: TEdit;
    opm_Edit_AboutAuthorOSC: TEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    opm_Label_AboutMemLoad: TLabel;
    Bevel4: TBevel;
    opm_Label_AboutLangDetails: TLabel;
    opm_Memo_AboutSysCapa: TMemo;
    procedure opm_Label_AboutHomepageClick(Sender: TObject);
    procedure opm_Label_AboutEmailClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure opm_Label_AboutHomepageOSCClick(Sender: TObject);
    procedure opm_BitBtn_AboutSplashClick(Sender: TObject);
    procedure opm_PopMenuItem_AboutCloseClick(Sender: TObject);
    procedure opm_PopMenuItem_AboutSplashClick(Sender: TObject);
    procedure opm_PopMenuItem_AboutCopyEmailClick(Sender: TObject);
    procedure opm_PopMenuItem_AboutCopyURLClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  opm_Form_About: Topm_Form_About;

implementation

uses gnugettext, oscpmdata, splash, clipbrd, dataman, network;

{$R *.dfm}



{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_Label_AboutHomepageClick(Sender: TObject);
begin
  ShellExecute (handle,'Open', PCHAR (opmC_HomepageURL + '?' + opmC_RedirParameter + '=' + opmC_Version + '.' + opmG_ExeBuildVersion), NIL, NIL, SW_NORMAL);
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_Label_AboutEmailClick(Sender: TObject);
begin
  ShellExecute (handle,'Open', opmC_EmailURL, NIL, NIL, SW_NORMAL);
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_Label_AboutHomepageOSCClick(Sender: TObject);
begin
  ShellExecute (handle,'Open', opmC_OSCHomepageURL, NIL, NIL, SW_NORMAL);
end;



{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.FormCreate(Sender: TObject);
begin
  opm_Edit_AboutTitle.Text := opmC_AppName1;
  opm_Edit_AboutTitle2.Text := opmC_AppName2 + ' (' + opmC_AppShortName + ') ' + opmC_Version + ' (build ' + opmG_ExeBuildVersion + ')';
  opm_Label_AboutHomepage.Caption := opmC_VisHomepageURL;
  opm_Edit_AboutAuthor.Text := opmC_Copyright;
  opm_Label_AboutEmail.Caption := opmC_Email;
  opm_Edit_AboutTitleOSC.Text := opmC_OSCAppName;
  opm_Edit_AboutAuthorOSC.Text := opmC_OSCCopyright;
  opm_Label_AboutHomepageOSC.Caption := opmC_OSCHomepageURL;
  opm_Label_AboutUserAgent.Caption := opmG_PlatformVersion;

  opm_Edit_AboutTitle.BorderStyle := bsNone;
  opm_Edit_AboutTitle2.BorderStyle := bsNone;
  opm_Edit_AboutAuthor.BorderStyle := bsNone;
  opm_Edit_AboutTobeUsed.BorderStyle := bsNone;
  opm_Edit_AboutTitleOSC.BorderStyle := bsNone;
  opm_Edit_AboutAuthorOSC.BorderStyle := bsNone;

  TranslateComponent (self);
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_BitBtn_AboutSplashClick(Sender: TObject);
begin
  opm_Form_splash.opmPR_ReshowSplash;
  opm_Label_AboutMemLoad.Caption := _('Memory usage:') + ' ' + INTTOSTR (FNopm_GetMemoryLoad) + '%';
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_PopMenuItem_AboutCloseClick(Sender: TObject);
begin
  Close;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_PopMenuItem_AboutSplashClick(Sender: TObject);
begin
  opm_Form_splash.opmPR_ReshowSplash;
  opm_Label_AboutMemLoad.Caption := _('Memory usage:') + ' ' + INTTOSTR (FNopm_GetMemoryLoad) + '%';
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_PopMenuItem_AboutCopyEmailClick(Sender: TObject);
begin
  Clipboard.AsText := opmC_Email;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.opm_PopMenuItem_AboutCopyURLClick(Sender: TObject);
begin
  Clipboard.AsText := opmC_OSCHomepageURL;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_About.FormShow(Sender: TObject);
VAR
  CurTable : LONGINT;
BEGIN
  opm_Form_About.Caption := _('About ') + opmC_AppShortName;
  opm_Edit_AboutTobeUsed.Text := _('To be used with');
  opm_Label_AboutMemLoad.Caption := _('Memory usage:') + ' ' + INTTOSTR (FNopm_GetMemoryLoad) + '%';
  opm_Label_AboutLangDetails.Caption := _('Language files translated by') + #13 +
                                        UTF8TOANSI (DefaultInstance.GetTranslationProperty ('Language-Team') + #13 +
                                                    DefaultInstance.GetTranslationProperty ('PO-Revision-Date'));
  opm_Memo_AboutSysCapa.Visible := FNopm_ConnectionState;
  opm_Memo_AboutSysCapa.Text := _('Detected osCommerce extensions:') + ' ' + opmC_Capa_OSCommerce;
  IF (opmG_Capa_ZenCart = TRUE) THEN opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + ', ' + opmC_Capa_ZenCart;
  IF (opmG_Capa_MorePics6 = TRUE) THEN opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + ', ' + opmC_Capa_MorePics6;
  IF (opmG_Capa_TotalB2B = TRUE) THEN opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + ', ' + opmC_Capa_TotalB2B;
  IF (opmG_Capa_PollBooth = TRUE) THEN opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + ', ' + opmC_Capa_PollBooth;
  IF (opmG_Capa_HeaderTags = TRUE) THEN opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + ', ' + opmC_Capa_HeaderTags;
  opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + '.' + #13#10;
  opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + _('Detected osCommerce database tables:') + ' ';
  FOR CurTable := 0 TO (opmG_DBTableList.Count - 1) DO
    BEGIN
      opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + opmG_DBTableList.ValueFromIndex[CurTable] + ' ';
    END;
  opm_Memo_AboutSysCapa.Text := opm_Memo_AboutSysCapa.Text + '.';
END;



end.
